﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using Microsoft.Exchange.WebServices.Data;
using System.Security.Cryptography.X509Certificates;
using System.Net.Security;
using System.Net.Mail;

namespace WebMailer.Class
{
    public class SendMail
    {
        private string[] to;
        private string from;
        private string subject;
        private string body;
        private string dpname;
        public string _Dpname
        {
            get { return dpname; }
            set { dpname = value; }
        }
        public string[] _To
        {
            get { return to; }
            set { to = value; }
        }
        public string _From
        {
            get { return from; }
            set { from = value; }
        }
        public string _Subject
        {
            get { return subject; }
            set { subject = value; }
        }
        public string _Body
        {
            get { return body; }
            set { body = value; }
        }
        public void sendMail2(string user, string pass)
        {
            MailMessage msg = new MailMessage();
            //SmtpClient client = new SmtpClient("smtp.live.com",587);
            //SmtpClient client = new SmtpClient("mail.forotic.com.ve",465);
            SmtpClient client = new SmtpClient("mail.lourtec.com",443);
            //SmtpClient client = new SmtpClient("smtp.gmail.com", 587);
            //SmtpClient client = new SmtpClient("mail.lourtec.com",25);
            client.EnableSsl = true;
            msg.IsBodyHtml = true;
            client.UseDefaultCredentials = false;
            client.DeliveryMethod = SmtpDeliveryMethod.Network;
            client.Credentials = new NetworkCredential(user, pass,"lourtec.com");
            //agregamos uno por uno el arreglo de la lista de correos

            msg.From = new MailAddress(_From, _Dpname);
            msg.Subject = _Subject;
            msg.Body = _Body;
            try
            {
                for (int i = 0; i < _To.Length; i++)
                {
                    msg.To.Add(_To[i]);
                    msg.Body = msg.Body + "</body> </html>";
                    client.Send(msg);
                    msg.Body = _Body;
                    msg.To.Clear();
                }
                // client.Dispose();
            }
            catch (Exception ex)
            {
                Console.Write(ex.Message);
                Console.ReadLine();
            }

        }
        public static ExchangeService CreateConnection(string url, string user, string pass,string domain)
        {
            ServicePointManager.ServerCertificateValidationCallback =
            delegate (
                Object obj,
                X509Certificate certificate,
                X509Chain chain,
                SslPolicyErrors errors)
            {
                return true;
            };
            ExchangeService service = new ExchangeService();
            service.Url = new Uri(url);
            service.UseDefaultCredentials = true;
            service.Credentials = new WebCredentials(user, pass);
            //service.AutodiscoverUrl(user);
            return service;
        }
        public void sendExMail(string user, string pass)
        {
            ExchangeService service = CreateConnection("https://mail.lourtec.com/EWS/Exchange.asmx",user, pass,"mail.lourtec.com");
            EmailMessage msg = new EmailMessage(service);
            msg.Body = new MessageBody(BodyType.HTML, _Body);
            msg.From = new EmailAddress(_From,_Dpname);
            msg.Subject = _Subject;
            try
            {
                for (int i = 0; i < _To.Length; i++)
                {
                    msg.ToRecipients.Add(_To[i]);
                    msg.Body = msg.Body + "</body> </html>";
                    msg.Send();
                    msg.Body = _Body;
                    msg.ToRecipients.Clear();

                }
                // client.Dispose();
            }
            catch (Exception ex)
            {
                Console.Write(ex.Message);
                Console.ReadLine();
            }



        }
        public void sendMail(string user, string pass)
        {
            System.Net.Mail.MailMessage msg = new MailMessage();
            //SmtpClient client = new SmtpClient("smtp.live.com",587);
            //SmtpClient client = new SmtpClient("mail.forotic.com.ve",465);
            SmtpClient client = new SmtpClient("exlourtec.lourtec.com", 25);
            //SmtpClient client = new SmtpClient("smtp.gmail.com", 587);
            //SmtpClient client = new SmtpClient("mail.lourtec.com",25);
            client.EnableSsl = false;
            msg.IsBodyHtml = true;
            client.UseDefaultCredentials = false;
            client.Credentials = new NetworkCredential(user, pass);
            //agregamos uno por uno el arreglo de la lista de correos

            msg.From = new MailAddress(_From, _Dpname);
            msg.Subject = _Subject;
            msg.Body = _Body;
            try
            {
                for (int i = 0; i < _To.Length; i++)
                {
                    msg.To.Add(_To[i]);
                    msg.Body = msg.Body + "<table width=\"75%\" border=\"0\" bgcolor=\"#E0E0E0\" align=\"center\"> <tr> <td align=\"justify\" style=\"text-align:justify; font-size:8pt;\"> Para mayor informaci&oacute;n referente a las promociones, eventos y noticias de Lourtec Per&uacute; y el Caribe favor escribirnos al correo: jleon@lourtec.com | Lourtec tiene un especial cuidado en el tratamiento de los datos. Todo el personal con acceso a datos de car&aacute;cter personal ha recibido la formaci&oacute;n necesaria para mantener la total confidencialidad e integridad de los datos de acuerdo a la ley de protecci&oacute;n de datos&nbsp; | &nbsp;Para anular su suscripci&oacute;n, haga <a href='http://webmailer.lourtec.com/notsend.aspx?mail=" + _To[i] + "&to=" + _From + "'>click aqu&iacute;</a>. Este correo electr&oacute;nico fue enviado a trav&eacute;s de Lourtec Per&uacute; y el Caribe. Direcci&oacute;n: Calle Torre Tagle #190, Trujillo - Per&uacute; 2015 Todos los derechos reservados Lourtec  <a href=\"http://www.lourtec.com\">www.lourtec.com</a></td> </tr> </table><p style='text-align:center;' align='center'>Para dejar de recibir nuestros boletines, haga <a href='http://webmailer.lourtec.com/notsend.aspx?mail=" + _To[i] + "&to=" + _From + "'>Click Aquí</a></p></body> </html>";
                    client.Send(msg);
                    msg.Body = _Body;
                    msg.To.Clear();

                }
                // client.Dispose();
            }
            catch (Exception ex)
            {
                Console.Write(ex.Message);
                Console.ReadLine();
            }


        }
    }
}